{ config, lib, pkgs, inputs, ... }:

with lib;
let
  cfg = config.samfelag.modules.system.brightness;
  hyprCfg = config.samfelag.modules.desktop.wm.hyprland;
in
{
  options.samfelag.modules.system.brightness = {
    enable = mkEnableOption "Brightness support";
  };

  config = mkIf cfg.enable {

    environment.systemPackages = with pkgs; [
      brightnessctl
    ];
  };
}
